## mpd 0.22.6

=== meson_options.txt ===
option('documentation', type: 'feature', description: 'Build documentation')
option('html_manual', type: 'boolean', value: true, description: 'Build the HTML manual')
option('manpages', type: 'boolean', value: true, description: 'Build manual pages')

option('syslog', type: 'feature', description: 'syslog support')
option('inotify', type: 'boolean', value: true, description: 'inotify support (for automatic database update)')
option('io_uring', type: 'feature', description: 'Linux io_uring support using liburing')

option('daemon', type: 'boolean', value: true, description: 'enable daemonization')
option('systemd', type: 'feature', description: 'systemd support')

option('systemd_system_unit_dir', type: 'string', description: 'systemd system service directory')
option('systemd_user_unit_dir', type: 'string', description: 'systemd user service directory')

#
# Options for developers
#

option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')
option('fuzzer', type: 'boolean', value: false, description: 'Build fuzzers (requires libFuzzer)')

#
# Android
#

option('android_sdk', type: 'string', description: 'The path where Android SDK is installed')
option('android_ndk', type: 'string', description: 'The path where Android NDK is installed')
option('android_abi', type: 'string', value: 'armeabi-v7a', description: 'The Android ABI to be built')

option('android_strip', type: 'string', value: 'strip', description: 'The "strip" tool from the NDK')

option('android_debug_keystore', type: 'string', description: 'The keystore file used to sign debug APK files')

option('android_keystore', type: 'string', description: 'The keystore file used to sign APK files')
option('android_keyalias', type: 'string', description: 'The key alias used to sign APK files')
option('android_keypass', type: 'string', description: 'The password of the keystore used to sign APK files')

#
# System call support
#

option('epoll', type: 'boolean', value: true, description: 'Use epoll on Linux')
option('eventfd', type: 'boolean', value: true, description: 'Use eventfd() on Linux')
option('signalfd', type: 'boolean', value: true, description: 'Use signalfd() on Linux')

#
# Network support
#

option('tcp', type: 'boolean', value: true, description: 'Support for clients connecting via TCP')
option('ipv6', type: 'feature', description: 'Support for IPv6')
option('local_socket', type: 'boolean', value: true, description: 'Support for clients connecting via local sockets')

#
# Audio formats
#

option('dsd', type: 'boolean', value: true, description: 'Support the DSD audio format')

#
# Database plugins
#

option('database', type: 'boolean', value: true, description: 'enable support for the music database')
option('upnp', type: 'feature', description: 'UPnP client support')
option('libmpdclient', type: 'feature', description: 'libmpdclient support (for the proxy database plugin)')

#
# Neighbor plugins
#

option('neighbor', type: 'boolean', value: true, description: 'enable support for neighbor discovery')

#
# Storage plugins
#

option('udisks', type: 'feature', description: 'Support for removable media using udisks2')
option('webdav', type: 'feature', description: 'WebDAV support using CURL and Expat')

#
# Playlist plugins
#

option('cue', type: 'boolean', value: true, description: 'CUE sheet support')

#
# Input plugins
#

option('cdio_paranoia', type: 'feature', description: 'libcdio_paranoia input plugin')
option('curl', type: 'feature', description: 'HTTP client using CURL')
option('mms', type: 'feature', description: 'MMS protocol support using libmms')
option('nfs', type: 'feature', description: 'NFS protocol support using libnfs')

# The "smbclient" plugin is disabled by default because libsmbclient
# has a serious bug which crashes MPD very quickly:
# https://bugzilla.samba.org/show_bug.cgi?id=11413
option('smbclient', type: 'feature', value: 'disabled', description: 'SMB support using libsmbclient')

#
# Commercial services
#

option('qobuz', type: 'feature', description: 'Qobuz client')
option('soundcloud', type: 'feature', description: 'SoundCloud client')
option('tidal', type: 'feature', description: 'Tidal client')

#
# Archive plugins
#

option('bzip2', type: 'feature', description: 'bzip2 support using libbz2')
option('iso9660', type: 'feature', description: 'ISO9660 support using libiso9660')
option('zzip', type: 'feature', description: 'ZIP support using zziplib')

#
# Tag plugins
#

option('id3tag', type: 'feature', description: 'ID3 support using libid3tag')
option('chromaprint', type: 'feature', description: 'ChromaPrint / AcoustID support')

#
# Decoder plugins
#

option('adplug', type: 'feature', description: 'AdPlug decoder plugin')
option('audiofile', type: 'feature', description: 'libaudiofile decoder plugin')
option('faad', type: 'feature', description: 'AAC decoder using libfaad')
option('ffmpeg', type: 'feature', description: 'FFmpeg codec support')
option('flac', type: 'feature', description: 'FLAC decoder plugin')
option('fluidsynth', type: 'feature', description: 'fluidsynth MIDI decoder plugin')
option('gme', type: 'feature', description: 'Game Music Emulator decoder plugin')
option('mad', type: 'feature', description: 'MP3 decoder using libmad')
option('mikmod', type: 'feature', description: 'MikMod decoder plugin')
option('modplug', type: 'feature', description: 'Modplug decoder plugin')
option('mpcdec', type: 'feature', description: 'Musepack decoder plugin')
option('mpg123', type: 'feature', description: 'MP3 decoder using libmpg123')
option('opus', type: 'feature', description: 'Opus decoder plugin')
option('sidplay', type: 'feature', description: 'C64 SID support via libsidplayfp or libsidplay2')
option('sndfile', type: 'feature', description: 'libsndfile decoder plugin')
option('tremor', type: 'feature', description: 'Fixed-point vorbis decoder plugin')
option('vorbis', type: 'feature', description: 'Vorbis decoder plugin')
option('wavpack', type: 'feature', description: 'WavPack decoder plugin')
option('wildmidi', type: 'feature', description: 'WildMidi decoder plugin')

#
# Encoder plugins
#

option('vorbisenc', type: 'feature', description: 'Vorbis encoder plugin')
option('lame', type: 'feature', description: 'LAME MP3 encoder plugin')
option('twolame', type: 'feature', description: 'TwoLAME MP2 encoder plugin')
option('shine', type: 'feature', description: 'shine MP3 encoder plugin')
option('wave_encoder', type: 'boolean', value: true, description: 'PCM wave encoder encoder plugin')

#
# Filter plugins
#

option('libsamplerate', type: 'feature', description: 'libsamplerate resampler')
option('soxr', type: 'feature', description: 'libsoxr resampler')

#
# Output plugins
#

option('alsa', type: 'feature', description: 'ALSA support')
option('ao', type: 'feature', description: 'libao output plugin')
option('fifo', type: 'boolean', value: true, description: 'FIFO output plugin')
option('httpd', type: 'boolean', value: true, description: 'HTTP streaming output plugin')
option('jack', type: 'feature', description: 'JACK output plugin')
option('openal', type: 'feature', description: 'OpenAL output plugin')
option('oss', type: 'feature', description: 'Open Sound System support')
option('pipe', type: 'boolean', value: true, description: 'Pipe output plugin')
option('pulse', type: 'feature', description: 'PulseAudio support')
option('recorder', type: 'boolean', value: true, description: 'Recorder output plugin')
option('shout', type: 'feature', description: 'Shoutcast streaming support using libshout')
option('sndio', type: 'feature', description: 'sndio output plugin')
option('solaris_output', type: 'feature', description: 'Solaris /dev/audio support')

#
# Misc libraries
#

option('dbus', type: 'feature', description: 'D-Bus support')
option('expat', type: 'feature', description: 'Expat XML support')
option('icu', type: 'feature', description: 'Use libicu for Unicode')
option('iconv', type: 'feature', description: 'Use iconv() for character set conversion')
option('pcre', type: 'feature', description: 'Enable regular expression support (using libpcre)')
option('sqlite', type: 'feature', description: 'SQLite database support (for stickers)')
option('yajl', type: 'feature', description: 'libyajl for YAML support')
option('zlib', type: 'feature', description: 'zlib support (for database compression)')

option('zeroconf', type: 'combo',
       choices: ['auto', 'avahi', 'bonjour', 'disabled'],
       value: 'auto',
       description: 'Zeroconf support')

=== debian/changelog ===
mpd (0.22.6-1) unstable; urgency=medium

  * New upstream version 0.22.6
  * Update d/copyright

 -- Florian Schlichting <fsfs@debian.org>  Wed, 17 Feb 2021 10:30:02 +0800

=== debian/control ===
Source: mpd
Section: sound
Priority: optional
Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson (>= 0.49.0),
               libsndio-dev,
               libadplug-dev,
               libao-dev,
               libasound2-dev  [linux-any],
               libaudiofile-dev,
               libavahi-client-dev,
               libavcodec-dev,
               libavformat-dev,
               libboost-dev,
               libbz2-dev,
               libcdio-paranoia-dev (>= 10.2+0.93+1),
               libchromaprint-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libexpat1-dev,
               libfaad-dev,
               libflac-dev,
               libfluidsynth-dev,
               libgcrypt20-dev,
               libgme-dev,
               libicu-dev,
               libid3tag0-dev,
               libiso9660-dev,
               libjack-jackd2-dev,
               libmad0-dev,
               libmikmod-dev,
               libmms-dev,
               libmodplug-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmpdclient-dev,
               libmpg123-dev,
               libnfs-dev,
               libogg-dev,
               libopenal-dev,
               libopus-dev,
               libpcre3-dev,
               libpulse-dev,
               libresid-builder-dev,
               libsamplerate0-dev,
               libshine-dev [armel],
               libshout3-dev,
               libsidplayfp-dev,
               libsidutils-dev,
               libsmbclient-dev [!hurd-i386],
               libsndfile1-dev,
               libsoxr-dev,
               libsqlite3-dev,
               libsystemd-dev [linux-any],
               libupnp-dev (>= 1.8~),
               liburing-dev [linux-any],
               libvorbis-dev [!armel],
               libvorbisidec-dev (>= 1.2.1+git20180316-3) [armel],
               libwavpack-dev,
               libwildmidi-dev,
               libyajl-dev,
               libzzip-dev,
# for docs:
               python3-sphinx,
# for tests:
               libgtest-dev
Standards-Version: 4.5.1
Homepage: https://www.musicpd.org/
Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git
Rules-Requires-Root: no

Package: mpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
Built-Using: ${sphinxdoc:Built-Using}
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for
 playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams
 (Ogg-Vorbis, MP3) and managing playlists.  Gapless playback, buffered
 output, and crossfading support is also included.  The design focus is
 on integrating a computer into a stereo system that provides control
 for music playback over a TCP/IP network.  The goals are to be easy to
 install and use, to have minimal resource requirements (it has been
 reported to run fine on a Pentium 75), and to remain stable and
 flexible.
 .
 The daemon is controlled through a client which need not run on the
 same computer mpd runs on.  The separate client and server design
 allows users to choose a user interface that best suites their tastes
 independently of the underlying daemon (this package) which actually
 plays music.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

WITH_SHINE_VORBIS_TREMOR=-Dshine=disabled -Dvorbis=enabled -Dvorbisenc=enabled -Dtremor=disabled
ifeq ($(DEB_HOST_ARCH), armel)
WITH_SHINE_VORBIS_TREMOR=-Dshine=enabled -Dvorbis=disabled -Dvorbisenc=disabled -Dtremor=enabled
endif

# systemd, alsa and io_uring on linux arches only
ifeq ($(DEB_HOST_ARCH_OS), linux)
WITH_LINUX=-Dsystemd=enabled -Dsystemd_system_unit_dir=/lib/systemd/system -Dsystemd_user_unit_dir=/usr/lib/systemd/user -Dalsa=enabled -Dio_uring=enabled
else
WITH_LINUX=-Dsystemd=disabled -Dalsa=disabled -Dio_uring=disabled
endif

# no smbclient on hurd-i386 (#815441)
ENABLE_SMBCLIENT=-Dsmbclient=enabled
ifeq ($(DEB_HOST_ARCH), hurd-i386)
    ENABLE_SMBCLIENT=-Dsmbclient=disabled
endif


###############################################################
## Define Debian feature set (in configure summary order)
RUN_TESTS=-Dtest=true

# Archive support
ENABLE_ARCHIVES=-Dbzip2=enabled \
		-Diso9660=enabled \
		-Dzlib=enabled \
		-Dzzip=enabled

# Autodiscovery support
ENABLE_AUTODISCOVERY=-Dneighbor=true \
		-Dupnp=enabled \
		-Dzeroconf=avahi

# Client support
ENABLE_CLIENTS=-Dipv6=enabled \
	 	-Dtcp=true \
	 	-Dlocal_socket=true

# Storage support
ENABLE_STORAGE=-Dnfs=enabled \
	 	${ENABLE_SMBCLIENT} \
	 	-Dwebdav=enabled

# File format support
ENABLE_FILEFORMATS=-Dfaad=enabled \
		-Dadplug=enabled \
		-Daudiofile=enabled \
		-Dffmpeg=enabled \
		-Dflac=enabled \
		-Dfluidsynth=enabled \
		-Dgme=enabled \
		-Dmad=enabled \
		-Dmikmod=enabled \
		-Dmodplug=enabled \
		-Dmpcdec=enabled \
		-Dmpg123=enabled \
		-Dopus=enabled \
		-Dsidplay=enabled \
		-Dsndfile=enabled \
		-Dwavpack=enabled \
		-Dwildmidi=enabled

# Other features
ENABLE_OTHER=-Dcue=true \
		-Ddatabase=true \
		-Dexpat=enabled \
		-Dicu=enabled \
		-Dlibmpdclient=enabled \
		-Dinotify=true \
		-Dsoxr=enabled \
		-Dlibsamplerate=enabled \
		-Dsqlite=enabled \
		-Dsyslog=enabled \
		-Dyajl=enabled \
		-Dpcre=enabled

# Metadata support
ENABLE_METADATA=-Did3tag=enabled \
		-Dchromaprint=enabled

# Playback support
# Note: ALSA is in WITH_LINUX
ENABLE_PLAYBACKS=-Dfifo=true \
		-Dsndio=enabled \
		-Drecorder=true \
		-Dhttpd=true \
		-Djack=enabled \
		-Dao=enabled \
		-Doss=enabled \
		-Dopenal=enabled \
		-Dpipe=true \
		-Dpulse=enabled \
		-Dshout=enabled

# Streaming encoder support
# Note: FLAC and Opus enabled under file formats, vorbisenc at top (!tremor)
ENABLE_ENCODERS=-Dlame=enabled \
		-Dtwolame=disabled \
		-Dwave_encoder=true \

# Streaming support
ENABLE_STREAMING=-Dcdio_paranoia=enabled \
		-Dcurl=enabled \
		-Dsoundcloud=enabled \
		-Dqobuz=enabled \
		-Dtidal=enabled \
		-Dmms=enabled

# Sphinx documentation
ENABLE_DOCUMENTATION=-Ddocumentation=enabled

###############################################################


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- $(WITH_SHINE_VORBIS_TREMOR) $(WITH_LINUX) \
		$(RUN_TESTS) \
		$(ENABLE_ARCHIVES) \
		$(ENABLE_AUTODISCOVERY) \
		$(ENABLE_CLIENTS) \
		$(ENABLE_STORAGE) \
		$(ENABLE_FILEFORMATS) \
		$(ENABLE_OTHER) \
		$(ENABLE_METADATA) \
		$(ENABLE_PLAYBACKS) \
		$(ENABLE_ENCODERS) \
		$(ENABLE_STREAMING) \
		$(ENABLE_DOCUMENTATION)

override_dh_installchangelogs:
	dh_installchangelogs NEWS
	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://www.musicpd.org/download/mpd/0.22/mpd-([0-9.]*).tar.xz

## mpd 0.22.10

=== debian/changelog ===
mpd (0.22.10-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.22.9
  * Update d/copyright

  [ Florian Schlichting ]
  * New upstream version 0.22.10
  * Do not try to enable tidal plugin, which was removed
  * Use default systemd unit directories, which are now the preferred place
    in Debian also
  * Declare compliance with Debian Policy 4.6.0

 -- Florian Schlichting <fsfs@debian.org>  Fri, 20 Aug 2021 16:09:59 +0800

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # systemd, alsa and io_uring on linux arches only
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-WITH_LINUX=-Dsystemd=enabled -Dsystemd_system_unit_dir=/lib/systemd/system -Dsystemd_user_unit_dir=/usr/lib/systemd/user -Dalsa=enabled -Dio_uring=enabled
+WITH_LINUX=-Dsystemd=enabled -Dalsa=enabled -Dio_uring=enabled
 else
 WITH_LINUX=-Dsystemd=disabled -Dalsa=disabled -Dio_uring=disabled
 endif
@@ -107,7 +107,6 @@
 		-Dcurl=enabled \
 		-Dsoundcloud=enabled \
 		-Dqobuz=enabled \
-		-Dtidal=enabled \
 		-Dmms=enabled
 
 # Sphinx documentation

## mpd 0.23.3

=== debian/changelog ===
mpd (0.23.3-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Switch to 0.23 release series
  * New upstream version 0.23.2
  * Bump meson build dependency to 0.56.0
  * Add Build-Dependency on libfmt-dev
  * Explicitly use pupnp
  * Remove now useless lintian overrides
  * Update d/copyright

  [ Florian Schlichting ]
  * Some more updates to d/copyright
  * Require at least libmpdclient-dev 2.11
  * Plugins: enable snapcast, pipewire and openmpt, disable qobuz
  * New upstream version 0.23.3 (closes: #998175)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 01 Nov 2021 22:31:49 +0800

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 # Autodiscovery support
 ENABLE_AUTODISCOVERY=-Dneighbor=true \
-		-Dupnp=enabled \
+		-Dupnp=pupnp \
 		-Dzeroconf=avahi
 
 # Client support
@@ -58,6 +58,7 @@
 		-Dmodplug=enabled \
 		-Dmpcdec=enabled \
 		-Dmpg123=enabled \
+		-Dopenmpt=enabled \
 		-Dopus=enabled \
 		-Dsidplay=enabled \
 		-Dsndfile=enabled \
@@ -93,8 +94,10 @@
 		-Doss=enabled \
 		-Dopenal=enabled \
 		-Dpipe=true \
+		-Dpipewire=enabled \
 		-Dpulse=enabled \
-		-Dshout=enabled
+		-Dshout=enabled \
+		-Dsnapcast=true
 
 # Streaming encoder support
 # Note: FLAC and Opus enabled under file formats, vorbisenc at top (!tremor)
@@ -106,7 +109,7 @@
 ENABLE_STREAMING=-Dcdio_paranoia=enabled \
 		-Dcurl=enabled \
 		-Dsoundcloud=enabled \
-		-Dqobuz=enabled \
+		-Dqobuz=disabled \
 		-Dmms=enabled
 
 # Sphinx documentation

## mpd 0.23.4

=== debian/changelog ===
mpd (0.23.4-1build1) jammy; urgency=medium

  * No-change rebuild against liburing2

 -- Paride Legovini <paride@debian.org>  Mon, 22 Nov 2021 22:21:58 +0100

mpd (0.23.4-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * Enable NDEBUG to disable asserts

  [ Florian Schlichting ]
  * Import new upstream version 0.23.4 (closes: #887834)
  * Update patches, drop bug998310.patch from upstream
  * Update /etc/mpd.conf following mpdconf.example
  * mpd.postrm: clean up sticker.sql as well
  * d/copyright: add new files src/lib/alsa/Error.*

 -- Florian Schlichting <fsfs@debian.org>  Thu, 11 Nov 2021 23:17:04 +0800

mpd (0.23.3-2) unstable; urgency=medium

  * cherry-pick "fix crash of debug builds if startup fails" from upstream
    (closes: #998310)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Nov 2021 22:25:59 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.49.0),
+               meson (>= 0.56.0),
                libsndio-dev,
                libadplug-dev,
                libao-dev,
@@ -22,6 +22,7 @@
                libfaad-dev,
                libflac-dev,
                libfluidsynth-dev,
+               libfmt-dev (>= 6.1.2),
                libgcrypt20-dev,
                libgme-dev,
                libicu-dev,
@@ -34,13 +35,15 @@
                libmodplug-dev,
                libmp3lame-dev,
                libmpcdec-dev,
-               libmpdclient-dev,
+               libmpdclient-dev (>= 2.11),
                libmpg123-dev,
                libnfs-dev,
                libogg-dev,
                libopenal-dev,
+               libopenmpt-dev,
                libopus-dev,
                libpcre3-dev,
+               libpipewire-0.3-dev,
                libpulse-dev,
                libresid-builder-dev,
                libsamplerate0-dev,

## mpd 0.23.5

=== debian/changelog ===
mpd (0.23.5-1build7) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 09:00:26 +0100

mpd (0.23.5-1build6) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2022 06:00:59 +0100

mpd (0.23.5-1build5) jammy; urgency=medium

  * Rebuild against new libsndio7.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 12:13:19 +0100

mpd (0.23.5-1build4) jammy; urgency=medium

  * No-change rebuild for icu soname change

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 11 Feb 2022 14:33:10 -0600

mpd (0.23.5-1build3) jammy; urgency=medium

  * No-change rebuild against libfmt8

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Dec 2021 14:16:11 +0000

mpd (0.23.5-1build2) jammy; urgency=medium

  * No-change rebuild against libfluidsynth3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:17:28 +0000

mpd (0.23.5-1build1) jammy; urgency=medium

  * No-change rebuild against liburing2 w/ no fluidsynth.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 06 Dec 2021 18:40:58 +0530

mpd (0.23.5-1) unstable; urgency=medium

  * Import new upstream version 0.23.5
  * Switch to PCRE2, following upstream (closes: #1000033)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 02 Dec 2021 20:31:16 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.56.0),
@@ -42,7 +43,7 @@
                libopenal-dev,
                libopenmpt-dev,
                libopus-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libpipewire-0.3-dev,
                libpulse-dev,
                libresid-builder-dev,

=== debian/rules ===
--- 
+++ 
@@ -124,7 +124,7 @@
 	dh $@ --with sphinxdoc
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(WITH_SHINE_VORBIS_TREMOR) $(WITH_LINUX) \
+	dh_auto_configure -- -Db_ndebug=true $(WITH_SHINE_VORBIS_TREMOR) $(WITH_LINUX) \
 		$(RUN_TESTS) \
 		$(ENABLE_ARCHIVES) \
 		$(ENABLE_AUTODISCOVERY) \

## mpd 0.23.6

=== debian/changelog ===
mpd (0.23.6-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:59:03 +0000

mpd (0.23.6-1) unstable; urgency=medium

  [ Geoffroy Youri Berret ]
  * New upstream version 0.23.6
  * Update d/copyright
  * Disable audiofile decoder plugin
  * Update mpd.conf following upstream mpdconf.example

  [ Florian Schlichting ]
  * Simplify d/copyright a tiny bit (src/fs/io falls under "Files: *"
    entirely)

 -- Florian Schlichting <fsfs@debian.org>  Sun, 17 Apr 2022 23:27:47 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libadplug-dev,
                libao-dev,
                libasound2-dev  [linux-any],
-               libaudiofile-dev,
                libavahi-client-dev,
                libavcodec-dev,
                libavformat-dev,

## mpd 0.23.8

=== debian/changelog ===
mpd (0.23.8-1) unstable; urgency=medium

  * New upstream version 0.23.8
  * Declare compliance with Debian Policy 4.6.1
  * Add myself as uploader
  * Update d/copyright
  * Fixed ftbs with fmtlib >= 9.0.0 (closes: #1014543)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Tue, 19 Jul 2022 11:00:02 +0200

## mpd 0.23.9

=== debian/changelog ===
mpd (0.23.9-1) unstable; urgency=medium

  * New upstream version 0.23.9
  * Fixed ftbs with ffmpeg-5.1 (closes: #1017164)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 19 Aug 2022 14:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Florian Schlichting <fsfs@debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Uploaders: Florian Schlichting <fsfs@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.56.0),
                libsndio-dev,
@@ -68,7 +67,7 @@
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

## mpd 0.23.10

=== debian/changelog ===
mpd (0.23.10-0.1~mx21+1) mx; urgency=medium

  * New upstream version 0.23.10.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Nov 2022 13:14:47 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Florian Schlichting <fsfs@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Uploaders: Florian Schlichting <fsfs@debian.org>,
+           Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.56.0),
-               libsndio-dev,
                libadplug-dev,
                libao-dev,
                libasound2-dev  [linux-any],
@@ -24,6 +24,7 @@
                libfmt-dev (>= 6.1.2),
                libgcrypt20-dev,
                libgme-dev,
+               libgtest-dev,
                libicu-dev,
                libid3tag0-dev,
                libiso9660-dev,
@@ -52,6 +53,7 @@
                libsidutils-dev,
                libsmbclient-dev [!hurd-i386],
                libsndfile1-dev,
+               libsndio-dev,
                libsoxr-dev,
                libsqlite3-dev,
                libsystemd-dev [linux-any],
@@ -63,10 +65,8 @@
                libwildmidi-dev,
                libyajl-dev,
                libzzip-dev,
-# for docs:
-               python3-sphinx,
-# for tests:
-               libgtest-dev
+               meson (>= 0.56.0),
+               python3-sphinx
 Standards-Version: 4.6.1
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
@@ -76,7 +76,11 @@
 Package: mpd
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
+Depends: adduser,
+         lsb-base,
+         ${misc:Depends},
+         ${shlibs:Depends},
+         ${sphinxdoc:Depends}
 Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Music Player Daemon

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 # File format support
 ENABLE_FILEFORMATS=-Dfaad=enabled \
 		-Dadplug=enabled \
-		-Daudiofile=enabled \
+		-Daudiofile=disabled \
 		-Dffmpeg=enabled \
 		-Dflac=enabled \
 		-Dfluidsynth=enabled \
@@ -144,3 +144,7 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Test-Command: prove -v debian/tests/*.t
Depends: libaudio-mpd-perl, libtest-corpus-audio-mpd-perl, net-tools

## mpd 0.23.11

=== debian/changelog ===
mpd (0.23.11-1) unstable; urgency=medium

  * New upstream version 0.23.11

 -- Florian Schlichting <fsfs@debian.org>  Sun, 04 Dec 2022 17:30:46 +0100

mpd (0.23.10-1) unstable; urgency=medium

  * New upstream version 0.23.10
    + rebuild against fixed liburing (closes: #1023872)
  * Update d/copyright (deleted source file)
  * Update lintian-overrides syntax

 -- Florian Schlichting <fsfs@debian.org>  Sat, 26 Nov 2022 17:38:53 +0100

## mpd 0.23.12

=== debian/changelog ===
mpd (0.23.12-1) unstable; urgency=medium

  * New upstream version 0.23.12
  * d/control: build-depend on curl >= 7.55
  * Update years of packaging copyright
  * Declare compliance with Debian Policy 4.6.2
  * d/control: drop dependency on lsb-base - package is obsolete,
    functionality is in sysvinit-utils now and it's only needed for the
    initscript's "status" command

 -- Florian Schlichting <fsfs@debian.org>  Sat, 21 Jan 2023 21:32:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Florian Schlichting <fsfs@debian.org>,
-           Geoffroy Youri Berret <kaliko@debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Uploaders: Florian Schlichting <fsfs@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               meson (>= 0.56.0),
+               libsndio-dev,
                libadplug-dev,
                libao-dev,
                libasound2-dev  [linux-any],
@@ -16,7 +16,7 @@
                libbz2-dev,
                libcdio-paranoia-dev (>= 10.2+0.93+1),
                libchromaprint-dev,
-               libcurl4-gnutls-dev | libcurl-dev,
+               libcurl4-gnutls-dev (>= 7.55),
                libexpat1-dev,
                libfaad-dev,
                libflac-dev,
@@ -24,7 +24,6 @@
                libfmt-dev (>= 6.1.2),
                libgcrypt20-dev,
                libgme-dev,
-               libgtest-dev,
                libicu-dev,
                libid3tag0-dev,
                libiso9660-dev,
@@ -48,12 +47,11 @@
                libresid-builder-dev,
                libsamplerate0-dev,
                libshine-dev [armel],
-               libshout3-dev,
+               libshout-dev,
                libsidplayfp-dev,
                libsidutils-dev,
                libsmbclient-dev [!hurd-i386],
                libsndfile1-dev,
-               libsndio-dev,
                libsoxr-dev,
                libsqlite3-dev,
                libsystemd-dev [linux-any],
@@ -65,9 +63,11 @@
                libwildmidi-dev,
                libyajl-dev,
                libzzip-dev,
-               meson (>= 0.56.0),
-               python3-sphinx
-Standards-Version: 4.6.1
+# for docs:
+               python3-sphinx,
+# for tests:
+               libgtest-dev
+Standards-Version: 4.6.2
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git
@@ -76,11 +76,7 @@
 Package: mpd
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser,
-         lsb-base,
-         ${misc:Depends},
-         ${shlibs:Depends},
-         ${sphinxdoc:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
 Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Music Player Daemon

=== debian/rules ===
--- 
+++ 
@@ -144,7 +144,3 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
# run some tests from Audio::MPD
Test-Command: prove -v debian/tests/*.t
Depends: libaudio-mpd-perl, libtest-corpus-audio-mpd-perl, net-tools

## mpd 0.23.14

=== meson_options.txt ===
--- 
+++ 
@@ -62,7 +62,10 @@
 #
 
 option('database', type: 'boolean', value: true, description: 'enable support for the music database')
-option('upnp', type: 'feature', description: 'UPnP client support')
+option('upnp', type: 'combo',
+       choices: ['auto', 'pupnp', 'npupnp', 'disabled'],
+       value: 'auto',
+       description: 'UPnP client support')
 option('libmpdclient', type: 'feature', description: 'libmpdclient support (for the proxy database plugin)')
 
 #
@@ -104,7 +107,6 @@
 
 option('qobuz', type: 'feature', description: 'Qobuz client')
 option('soundcloud', type: 'feature', description: 'SoundCloud client')
-option('tidal', type: 'feature', description: 'Tidal client')
 
 #
 # Archive plugins
@@ -135,6 +137,7 @@
 option('mad', type: 'feature', description: 'MP3 decoder using libmad')
 option('mikmod', type: 'feature', description: 'MikMod decoder plugin')
 option('modplug', type: 'feature', description: 'Modplug decoder plugin')
+option('openmpt', type: 'feature', description: 'OpenMPT decoder plugin')
 option('mpcdec', type: 'feature', description: 'Musepack decoder plugin')
 option('mpg123', type: 'feature', description: 'MP3 decoder using libmpg123')
 option('opus', type: 'feature', description: 'Opus decoder plugin')
@@ -174,9 +177,11 @@
 option('openal', type: 'feature', description: 'OpenAL output plugin')
 option('oss', type: 'feature', description: 'Open Sound System support')
 option('pipe', type: 'boolean', value: true, description: 'Pipe output plugin')
+option('pipewire', type: 'feature', description: 'PipeWire support')
 option('pulse', type: 'feature', description: 'PulseAudio support')
 option('recorder', type: 'boolean', value: true, description: 'Recorder output plugin')
 option('shout', type: 'feature', description: 'Shoutcast streaming support using libshout')
+option('snapcast', type: 'boolean', value: true, description: 'Snapcast output plugin')
 option('sndio', type: 'feature', description: 'sndio output plugin')
 option('solaris_output', type: 'feature', description: 'Solaris /dev/audio support')

=== debian/changelog ===
mpd (0.23.14-2build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:54:09 +0100

mpd (0.23.14-2) unstable; urgency=medium

  * Update README.Debian
  * Fixed FTBS with ffmpeg 6.1 (closes: #1057578)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sat, 16 Dec 2023 17:21:03 +0100

mpd (0.23.14-1) unstable; urgency=medium

  * New upstream version 0.23.14
    + closes: #1034236
  * Add build-dep on systemd-dev for systemd.pc
  * Add override_dh_installsystemd to not enable or start the system service
    by default. On most systems, the user service should be preferred.
  * Clean up after Pulseaudio on purge (closes: #1049454)
  * Add build-dep on libavfilter-dev to enable the "ffmpeg" filter plugin
    (closes: #1041365)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 09 Oct 2023 21:44:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                libasound2-dev  [linux-any],
                libavahi-client-dev,
                libavcodec-dev,
+               libavfilter-dev,
                libavformat-dev,
                libboost-dev,
                libbz2-dev,
@@ -63,6 +64,7 @@
                libwildmidi-dev,
                libyajl-dev,
                libzzip-dev,
+               systemd-dev [linux-any],
 # for docs:
                python3-sphinx,
 # for tests:

=== debian/rules ===
--- 
+++ 
@@ -142,5 +142,8 @@
 	dh_installchangelogs NEWS
 	rm debian/mpd/usr/share/doc/mpd/COPYING debian/mpd/usr/share/doc/mpd/NEWS debian/mpd/usr/share/doc/mpd/README.md
 
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
+
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable

## mpd 0.23.15

=== debian/changelog ===
mpd (0.23.15-1~bpo12+1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * Include runit service files 

 -- anticapitalista <antix@operamail.com>  Wed, 05 Mar 2025 18:57:02 +0200

mpd (0.23.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports. (Closes: #1076307)

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Jul 2024 23:14:09 -0400

mpd (0.23.15-1) unstable; urgency=medium

  * New upstream version 0.23.15
  * Drop fixed-ffmpeg-ftbs.patch, applied upstream
  * Drop libgcrypt20-dev build dep (Closes: #1071944)
  * Add include_optional directive to load local config (Closes: #1070973)
  * Declare compliance with Debian Policy 4.7.0

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 14 Jun 2024 18:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                libflac-dev,
                libfluidsynth-dev,
                libfmt-dev (>= 6.1.2),
-               libgcrypt20-dev,
                libgme-dev,
                libicu-dev,
                libid3tag0-dev,
@@ -55,7 +54,6 @@
                libsndfile1-dev,
                libsoxr-dev,
                libsqlite3-dev,
-               libsystemd-dev [linux-any],
                libupnp-dev (>= 1.8~),
                liburing-dev [linux-any],
                libvorbis-dev [!armel],
@@ -64,12 +62,11 @@
                libwildmidi-dev,
                libyajl-dev,
                libzzip-dev,
-               systemd-dev [linux-any],
 # for docs:
                python3-sphinx,
 # for tests:
                libgtest-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # systemd, alsa and io_uring on linux arches only
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-WITH_LINUX=-Dsystemd=enabled -Dalsa=enabled -Dio_uring=enabled
+WITH_LINUX=-Dsystemd=disabled -Dalsa=enabled -Dio_uring=enabled
 else
 WITH_LINUX=-Dsystemd=disabled -Dalsa=disabled -Dio_uring=disabled
 endif

## mpd 0.23.16

=== debian/changelog ===
mpd (0.23.16-1build2) plucky; urgency=medium

  * Rebuild against latest libcdio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 16:21:32 -0500

mpd (0.23.16-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:25 +0100

mpd (0.23.16-1) unstable; urgency=medium

  * New upstream version 0.23.16
  * Bump copyright years

 -- Florian Schlichting <fsfs@debian.org>  Sat, 21 Dec 2024 17:46:30 +0100

## mpd 0.23.17

=== debian/changelog ===
mpd (0.23.17-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 18:31:30 -0500

mpd (0.23.17-1) unstable; urgency=medium

  * New upstream version 0.23.17 (closes: #1092843)

 -- Geoffroy Youri Berret <kaliko@debian.org>  Thu, 20 Feb 2025 15:56:46 +0100

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
                libsndfile1-dev,
                libsoxr-dev,
                libsqlite3-dev,
+               libsystemd-dev [linux-any],
                libupnp-dev (>= 1.8~),
                liburing-dev [linux-any],
                libvorbis-dev [!armel],
@@ -62,6 +63,7 @@
                libwildmidi-dev,
                libyajl-dev,
                libzzip-dev,
+               systemd-dev [linux-any],
 # for docs:
                python3-sphinx,
 # for tests:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://www.musicpd.org/download/mpd/0.23/mpd-([0-9.]*).tar.xz

## mpd 0.24.2

=== debian/changelog ===
mpd (0.24.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert "Add build-dep on systemd-dev for systemd.pc"

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sun, 30 Mar 2025 11:30:28 +0200

mpd (0.24.2-1) unstable; urgency=medium

  * New upstream version 0.24.2
  * Declare compliance with Debian Policy 4.7.2
  * Update d/copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sat, 29 Mar 2025 08:40:41 +0100

mpd (0.24.1-1) unstable; urgency=medium

  * New upstream version 0.24.1
  * Update d/copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 21 Mar 2025 09:32:35 +0100

mpd (0.24-1) unstable; urgency=medium

  * New upstream version 0.24
  * d/watch: Switch to 0.24 branch
  * d/control: Update build-depend
  * Update d/copyright

 -- Geoffroy Youri Berret <kaliko@debian.org>  Wed, 19 Mar 2025 18:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libavcodec-dev,
                libavfilter-dev,
                libavformat-dev,
-               libboost-dev,
                libbz2-dev,
                libcdio-paranoia-dev (>= 10.2+0.93+1),
                libchromaprint-dev,
@@ -34,7 +33,7 @@
                libmodplug-dev,
                libmp3lame-dev,
                libmpcdec-dev,
-               libmpdclient-dev (>= 2.11),
+               libmpdclient-dev (>= 2.15),
                libmpg123-dev,
                libnfs-dev,
                libogg-dev,
@@ -66,9 +65,10 @@
                systemd-dev [linux-any],
 # for docs:
                python3-sphinx,
+               python3-sphinx-rtd-theme,
 # for tests:
                libgtest-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git

## mpd 0.24.3

=== debian/changelog ===
mpd (0.24.3-1) unstable; urgency=medium

  * New upstream version 0.24.3
  * Update d/copyright
  * Update build-dep

 -- Geoffroy Youri Berret <kaliko@debian.org>  Wed, 09 Apr 2025 18:14:20 +0200

## mpd 0.24.4

=== debian/changelog ===
mpd (0.24.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert "Add build-dep on systemd-dev for systemd.pc"

 -- Geoffroy Youri Berret <kaliko@debian.org>  Sun, 28 Sep 2025 09:35:36 +0200

mpd (0.24.4-1) unstable; urgency=medium

  * New upstream version 0.24.4
  * Update copyright years

 -- Florian Schlichting <fsfs@debian.org>  Sun, 25 May 2025 18:20:12 +0200

=== debian/control ===
--- 
+++ 
@@ -60,9 +60,8 @@
                libvorbisidec-dev (>= 1.2.1+git20180316-3) [armel],
                libwavpack-dev,
                libwildmidi-dev,
-               libyajl-dev,
                libzzip-dev,
-               systemd-dev [linux-any],
+               nlohmann-json3-dev,
 # for docs:
                python3-sphinx,
                python3-sphinx-rtd-theme,

## mpd 0.24.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 option('documentation', type: 'feature', description: 'Build documentation')
 option('html_manual', type: 'boolean', value: true, description: 'Build the HTML manual')
 option('manpages', type: 'boolean', value: true, description: 'Build manual pages')
+option('doxygen', type: 'boolean', value: false, description: 'Build doxygen source documentation')
 
 option('syslog', type: 'feature', description: 'syslog support')
 option('inotify', type: 'boolean', value: true, description: 'inotify support (for automatic database update)')
@@ -17,7 +18,8 @@
 #
 
 option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')
-option('fuzzer', type: 'boolean', value: false, description: 'Build fuzzers (requires libFuzzer)')
+option('fuzzer', type: 'boolean', value: false, description: 'Build fuzzers')
+option('libfuzzer', type: 'boolean', value: true, description: 'Enable libFuzzer support for the fuzzers')
 
 #
 # Android
@@ -106,7 +108,6 @@
 #
 
 option('qobuz', type: 'feature', description: 'Qobuz client')
-option('soundcloud', type: 'feature', description: 'SoundCloud client')
 
 #
 # Archive plugins
@@ -193,9 +194,9 @@
 option('expat', type: 'feature', description: 'Expat XML support')
 option('icu', type: 'feature', description: 'Use libicu for Unicode')
 option('iconv', type: 'feature', description: 'Use iconv() for character set conversion')
+option('nlohmann_json', type: 'feature', description: 'nlohmann_json for JSON support')
 option('pcre', type: 'feature', description: 'Enable regular expression support (using libpcre)')
 option('sqlite', type: 'feature', description: 'SQLite database support (for stickers)')
-option('yajl', type: 'feature', description: 'libyajl for YAML support')
 option('zlib', type: 'feature', description: 'zlib support (for database compression)')
 
 option('zeroconf', type: 'combo',

=== doc/requirements.txt ===
sphinx-rtd-theme==2.0.0

=== debian/changelog ===
mpd (0.24.6-1) unstable; urgency=medium

  * New upstream version 0.24.6

 -- Geoffroy Youri Berret <kaliko@debian.org>  Fri, 24 Oct 2025 10:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
                libwildmidi-dev,
                libzzip-dev,
                nlohmann-json3-dev,
+               systemd-dev [linux-any],
 # for docs:
                python3-sphinx,
                python3-sphinx-rtd-theme,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # systemd, alsa and io_uring on linux arches only
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-WITH_LINUX=-Dsystemd=disabled -Dalsa=enabled -Dio_uring=enabled
+WITH_LINUX=-Dsystemd=enabled -Dalsa=enabled -Dio_uring=enabled
 else
 WITH_LINUX=-Dsystemd=disabled -Dalsa=disabled -Dio_uring=disabled
 endif
@@ -71,12 +71,12 @@
 		-Dexpat=enabled \
 		-Dicu=enabled \
 		-Dlibmpdclient=enabled \
+		-Dnlohmann_json=enabled \
 		-Dinotify=true \
 		-Dsoxr=enabled \
 		-Dlibsamplerate=enabled \
 		-Dsqlite=enabled \
 		-Dsyslog=enabled \
-		-Dyajl=enabled \
 		-Dpcre=enabled
 
 # Metadata support
@@ -108,7 +108,6 @@
 # Streaming support
 ENABLE_STREAMING=-Dcdio_paranoia=enabled \
 		-Dcurl=enabled \
-		-Dsoundcloud=enabled \
 		-Dqobuz=disabled \
 		-Dmms=enabled

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://www.musicpd.org/download/mpd/0.24/mpd-([0-9.]*).tar.xz

## mpd 0.24.8

=== debian/changelog ===
mpd (0.24.8-1) unstable; urgency=medium

  * New upstream version 0.24.8 (closes: #1128846)
  * Update copyright years
  * Update d/mpd.conf following the upstream change
  * Drop Priority: optional, now default
  * Drop Rules-Requires-Root: no, now default
  * Drop deleted src/system/Clock.cxx from d/copyright
  * Declare compliance with Debian Policy 4.7.3

 -- Florian Schlichting <fsfs@debian.org>  Tue, 24 Feb 2026 08:22:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mpd
 Section: sound
-Priority: optional
 Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>, Geoffroy Youri Berret <kaliko@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -68,11 +67,10 @@
                python3-sphinx-rtd-theme,
 # for tests:
                libgtest-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.musicpd.org/
 Vcs-Browser: https://salsa.debian.org/mpd-team/mpd
 Vcs-Git: https://salsa.debian.org/mpd-team/mpd.git
-Rules-Requires-Root: no
 
 Package: mpd
 Architecture: any
